#!/usr/bin/php
<?php
/*
 * This file is part of the tutorial on
 * http://techblog.zabuchy.net
 */

require_once('lib/Symfony/Component/ClassLoader/UniversalClassLoader.php');

$loader = new Symfony\Component\ClassLoader\UniversalClassLoader();
$loader->registerNamespace('Zabuchy',__DIR__.'/src');
$loader->registerNamespace('Symfony',__DIR__.'/lib');
$loader->registerPrefix('Zend',__DIR__.'/lib');
$loader->register();

set_include_path(get_include_path().PATH_SEPARATOR.__DIR__.'/lib');

use Symfony\Component\DependencyInjection\ContainerBuilder;
use Symfony\Component\DependencyInjection\Reference;

$sc = new ContainerBuilder();

$sc->register('log.writer','Zend_Log_Writer_Stream')
    ->addArgument('php://output');
$sc->register('logger', 'Zend_Log')
    ->addArgument(new Reference('log.writer'));
$sc->register('test','Zabuchy\Techblog\Test')
    ->addArgument(new Reference('logger'));

$sc->get('test')->run();
